summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0195-remove-ssl-cert-snakeoil.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/normal/0195-remove-ssl-cert-snakeoil.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0195-remove-ssl-cert-snakeoil.hook.chroot13
1 files changed, 13 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0195-remove-ssl-cert-snakeoil.hook.chroot b/system-build/share/hooks/normal/0195-remove-ssl-cert-snakeoil.hook.chroot
new file mode 100755
index 0000000..cdfe39d
--- /dev/null
+++ b/system-build/share/hooks/normal/0195-remove-ssl-cert-snakeoil.hook.chroot
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# Remove ssl-cert snakeoil
+
+if [ -e /etc/ssl/certs/ssl-cert-snakeoil.pem ]
+then
+ rm -f /etc/ssl/certs/$(openssl x509 -hash -noout -in /etc/ssl/certs/ssl-cert-snakeoil.pem)
+
+ rm -f /etc/ssl/certs/ssl-cert-snakeoil.pem
+ rm -f /etc/ssl/private/ssl-cert-snakeoil.key
+fi